Subject: [KOR][FanFic] Fugawari Orange Street Episode 12
From: [email-masked]

------------------------------------------------------------------------

        FUGAWARI ORANGE STREET
        A KOR universe fanfic
        By FOS Project 
        Web page-http://members.aol.com/Riiya/fos.html
        Discussion group-http://groups.yahoo.com/groups/
             FugawariOrangeStreet/
        FTP archive-ftp://ftp.cs.ubc.ca/pub/archive/anime-fan-works/KOR/
             Fugawari-Orange-Street/

Introduction:

Fugawari Orange Street is a new fanfic series set in the world of 
Kimagure Orange Road.  Its origin was a simple message on the KOR 
mailing list, which somehow evolved into a discussion of what might 
have happened to the original characters.  Specific comments about 
Kazuya, and the mention that he is probably around the age Kyousuke 
was during KOR, led to the proposal of creating a fanfic to follow 
him as he travels through Kouryou High School. 

FOS is set in the manga universe, and attempts to follow its specific 
details and timeline as closely as possible.  However, details on 
characters other than KOR's Big Three are sketchy, and ten years have
passed since we last saw these characters.  If you disagree with the 
liberties we've taken, send us comments.  Send all comments to 
[email-masked].

FOS was originally to be released biweekly, in real time.  However, 
the real world has impeded these lofty plans.  In any case, we will 
continue to set stories approximately two weeks apart, and we hope 
you'll read this episode and all that eventually follow.

As is the case with many fanfic series,  |Word| represents English 
dialog.

Fugawari Orange Street is based on the characters and situations of 
Kimagure Orange Road, created by and copyright of Izumi Matsumoto; 
new characters and situations created by and copyright of Tony Chen, 
Greg Dreher, Daniel Lee, Paolo Valladolid, and Jeoff Wilks.  Episode 
text copyright of Greg Dreher.  Any use of copyrighted or trademarked 
material is not and should not be construed as a challenge to these 
statuses.

------------------------------------------------------------------------

Episode 12
"Kazuya's Little Change! Sometimes Heritage Strikes Hard"

     Kazuya opened his bedroom windows and basked in the warm summer 
air.  "Aaaah," he thought, enjoying the slight breeze coming through the 
window, reveling in the tranquility of the quiet morning....
     "KAZUYAAAA!" Akane yelled, in a shrill tone, from downstairs.  
"If you don't get down here NOW, we'll never make it to Ojiichan's 
place!"
     "Hai, hai, coming," Kazuya responded.  He reluctantly closed the 
windows, grabbed the bags he had finished packing, and headed 
downstairs.
     Akane was waiting at the bottom of the stairs, her arms crossed and
with a stern expression on her face.  "We should have just left without 
you," she said angrily.
     "It's not like this is the only ride up there," Kazuya said, 
dropping his two bags in the growing pile in the front hall.  "I'm sure 
Otousan wouldn't leave me behind."
     "And where are you going to fit in the car?  The trunk?  Otousan's
car isn't big enough to carry you _and_ all your friends," Akane pointed
out.
     "Hai, hai," Kazuya replied.  "Maybe Okaasan will leave you behind 
if you keep arguing with me!"
     "Kids, help me load the car!" Mrs. Kasuga shouted from outside.  
The two stopped arguing and silently began hauling bags to the car.
    
* * * * *

     After some effort, all of the Kasuga family's bags were crammed 
into the small trunk, and they began their drive into the mountains.  
They traveled in silence for several kilometers before Akane broke the 
silence.
     "Ne, Kazuya, why aren't you traveling with your girlfriends?"
     "Akane!" he exclaimed.  "Just like you said, I'm not traveling 
with my *friends* since I wouldn't fit in the car.  It'll already be 
crowded enough.  Besides, we need to get there early to have a little 
talk with Ojiichan and Obaachan about using the Power so freely.  You 
wouldn't want to have to explain that to them, would you?"
     "You're right." Akane replied.  "They normally behave when they 
visit us, but Ojiichan especially can be so stubborn about not using 
the Power in his home.  So, how did you explain it to your friends?"
     "Explain what?"
     "Why they're coming up two hours later than you are."
     "Well," Kazuya said, "I mentioned that Okaasan had a family matter 
to deal with.  I think Emi was a little suspicious, but no one 
questioned me further."
     "I really don't think this is a good idea, Kazuya," Akane said.  
"If you wanted to spend a weekend with your friends, couldn't you have 
picked any other location than our family's mountain home?"
     "We don't have a family beach house, Akane," Kazuya said, 
exasperated.  "We can't just bring four extra people on some trip.  
Now, a trip to a rustic cottage in the mountains, far away from 
civilization, we can handle that.  This is the only nice place we can 
bring them."
     Akane shook her head slightly.  "I don't know...."
     "Relax," Kazuya said confidently.  "What could possibly go wrong?"

* * * * *

     The Kasugas' car drove up the dirt trail to the small wooden 
cottage.  Kazuya was the first to step out of the car once it parked.  
He was immediately greeted by floating clothes, which gently drifted 
and settled on a clothesline.  Looking past the clothesline, he spied 
Grandmother, surrounded by two dozen clothespins dancing in the air.
     "Obaachan!" Kazuya shouted.  Grandmother, startled, looked towards
Kazuya, the clothespins falling, followed shortly by most of the 
hanging clothes.
     "Oh, Kazuya, so nice to see you again!" Grandmother said, a sweet 
smile on her face.  "You surprised me, grandson."  She waved to 
Kazuya's mother and sister as they left the car.  "Welcome back!"
     "The power!" Kazuya interrupted.
     "Oh, are your friends here?  I didn't think they were coming until
later.  I just had a little laundry to hang to dry, and these clothes 
won't hang themselves!"
     "Let us help you," Akane interrupted, glancing at Kazuya.  He 
caught the hint, and began to hang up a shirt.
     After the clothes were hung, Grandmother said, "Breakfast is just
about ready.  Let's eat once you get your bags into the bedroom."
     The three visiting Kasugas took three trips to move all their bags
into the spare bedrooms, placing the bags at the edge of the tatami 
mats.  Already, the aroma of miso soup was drifting from the kitchen.
They hungrily approached the dining room, where Grandfather and 
Grandmother were already kneeling at the table.  A teapot, a large bowl
of rice, and two smaller bowls were moving above the table.  "Good to 
see you again, Sayoko, Akane, Kazuya.  You're just in time for 
breakfast!"
     "Ojiichan!" Kazuya hissed.
     "Father," Kazuya's mother said, "we talked about this earlier.  
Kazuya has some of his school friends coming later.  You agreed to 
allow them to visit.  And you can't use the Power when they're here.  
If you don't get used to doing things by hand, you could slip and 
forget.  How would you like to have to explain that?"
     "Yeah," Kazuya smiled.  "They say the memory is the first thing 
to go!"
     "Kazuya!" Grandfather said.  "Are you insulting the wisdom of your
elders?  Of course you are.  All of you are turning your back on your 
heritage, separating yourself from the Power.  Living with humans, in 
the city, you are all limiting what you could be.  Your fear of being 
different is all that is limiting the growth of your Power.  You need 
to be more self-confident!"
     Kazuya and Akane rolled their eyes.  "We know," they spoke in 
unison.  "We all know how you feel," Kazuya continued, "and you have 
chosen your life, but we are living our own life.  I have lived in the 
city all my life, and I like it.  I'm not going to say you should move 
to Tokyo, and we're not going to return to live in our ancestral home."
     "Can we just eat?" Akane said, kneeling at the table.  Grandmother
concentrated, moving a bowl of miso soup towards her.  She snatched it 
out of the air and set it down at her place setting.  Kazuya and his 
mother also took their places at the table.  After physically serving 
themselves from the serving dishes, they ate quietly.
     Finally, Grandfather broke the silence.  "Kazuya, Akane, after 
breakfast, I'm going to introduce you to part of your heritage."  They 
groaned in response.
     "It's going to backfire again, isn't it?" Akane whispered to 
Kazuya.
     "I heard that!" shouted Grandfather.

* * * * *

     Breakfast concluded, the younger Kasugas helped the elder Kasugas 
clear the table and wash the dishes.  With the sound of dishes 
clattering as they were stacked in the cupboard, Kazuya quietly twisted
the handle to the rear door and pushed the door softly.  Not a sound 
issued from the door as he pushed it open.  He stepped out the door, but
before his foot could reach the ground outside, a strong hand gripped 
his shoulder.  A surprised "Erk!" is all that Kazuya could say.
     "Grandson, you're just in time!  The true power of your heritage 
will be revealed to you.  You WON'T miss it!" Grandfather said, staring
at Kazuya.
     Defeated, Kazuya followed Grandfather into the front room, where 
Akane was waiting, a dejected look on her face.  "Got you too?" Kazuya
spoke telepathically to Akane.  She nodded ever so slightly.
     Grandfather pulled up a small portion of the wooden floor, 
revealing a small alcove.  He retrieved a small bamboo box from the 
alcove, holding it before Kazuya and Akane.  Slowly, as if to build 
tension, he lifted the lid of the ancient box, the old bamboo crackling.  
Inside the box, resting on blue cloth, was a small piece of metallic 
rock.
     "This, grandkids," Grandfather said with pride, "is a powerful 
artifact of your heritage.  All the whats and whys of our heritage can 
be traced to this item."
     Kazuya and Akane looked at the item, their mouths hanging open.  
"It's a..." Akane started, both finishing in unison with "a rock."  
They did not look impressed or even interested.
     "Foolish children!" Grandfather shouted in anger.  "Haven't you 
ever wondered allows us to use the Power?  What the origin of the Power
was, what the future is?  Let your senses be broadened!  Hold the 
artifact.  Feel the power flow through you!"  He thrust the rock into
Akane's hand.
     Akane grasped the rock, placing both hands around it.  There was 
a slight sensation of electricity.  "I don't know, Ojiichan, this feels
like the last time I took clothes out of the dryer on a dry day."
     "Foolish Akane!  Are you so blinded by modern living and its fancy
illusions to not feel the primal power in the stone?"
     Akane shrugged and handed the item to Kazuya.  He didn't look 
impressed, either.
     "And what is with those clothes dryers?  Don't you know the feel 
of clothes dried in the morning sun?
     "Um, Ojiichan," Kazuya started, "there is no place to hang laundry
in our small apartment."
     Grandfather looked at Kazuya and Akane.  "That's it.  I know what
is missing in you members of the younger generation.  You are so far 
removed from the Power that you can't feel the amplification power of
this artifact!"  He grasped the rock and pushed some of his power into
the artifact.  Kazuya was caught completely by surprise, his eyes 
opening wide.  Whether this was from surprise or physical shock wasn't
certain.
     Grandfather didn't notice as he continued, a maniacal gleam in his
eye.  "Feel the primal essence of the Power, Kazuya!"  Kazuya didn't 
respond; in fact, he didn't do anything until a blue glow briefly 
surrounded him, lifting him off the ground.  As quickly as it happened,
he fell, collapsing to the ground.
     "Ojiichan, is that part of the Power?" Akane questioned, amazed.

* * * * *

     Kazuya willed his eyes to open, and they responded slowly.  When
his eyes flickered open, he saw the members of his family looking over
him.  Grandfather, Grandmother, and his mom and sister were looking 
over him.  He glanced around for the evil kitten, but then realized 
that he wasn't in his own room.  As his thoughts collected, he 
recognized Ojiichan's cottage in the mountains.
     "Kazuya, are you all right?" Mother said.  His head was 
throbbing, and he couldn't immediately remember what happened, so he 
forced his consciousness in to see Grandfather's thoughts.  His mental
defenses parted surprisingly easily, and images flashed through Kazuya's
mind: Grandfather, Akane, a metallic rock, and patterns of powerful 
energy.  Getting a picture of the situation, Kazuya smiled.
     "I feel great!" Kazuya shouted.  "I'm gonna go outside.  I wanna
get away from this stuffy room and these stuffy people," he said, 
smiling.
     "Kazuya!" Akane interrupted.
     "You took a nasty shock.  Shouldn't you rest some?" their mother
asked.
     Kazuya sprung up, smiling.  "Shock?  The old goat's little toy 
didn't affect me at all.  What kind of Power was that, anyway?  The 
Power to bore?"  He began to step towards the door.
     "KAZUYA!" Grandfather shouted angrily.  "I'll show you Power like 
you've never seen before!"  Grandfather grabbed Kazuya by the shoulder,
and with surprising strength, whirled Kazuya around to face him.
     Kazuya grinned evilly.  "Ja ne, Ojiichan!" he said, teleporting
away.

COMMERCIAL BREAK

[Nighttime.  The camera pans over an office tower and research and 
industrial complex.]

Announcer: Mishima Heavy Industries.

[Screen shot of a poised, confident Akiko Mishima, flanked by her 
flunkies Arisa and Kyouko]

Announcer: Under the capable leadership of Akiko Mishima, Mishima 
Heavy Industries has risen to become a market leader in military 
hardware, satellites, android technology, and artificial intelligence.

[Screen shot of Arisa and Kyouko soaring above Tokyo in Poison 1.]

Announcer: Where do you find such high-flying companies?

[Screen shot of the NASDAQ stock listings, zooming in on the listing
MSHMA, 34 1/8, up 1 1/8.]

[Announcer and slogan on screen:]
NASDAQ.  The stock market for the next 100 years.

END COMMERCIAL BREAK

     The remaining Kasugas stared at each other in disbelief.  After 
several long moments, Mother broke the silence.
     "Oyaji, just WHAT did you do?" she said angrily.
     Grandfather was briefly startled, and could only manage a few 
broken phrases.  "I... he... ahhh...."  He composed himself and said, 
"It looks like the boy took my lessons about self-confidence to heart."
     "You mean the boy that can't teleport?"  Mother said, 
incredulously.  "Confidence doesn't give someone new powers.  I heard 
you talk about showing them a powerful artifact.  Now, tell US about 
it."
     "Okay, follow me."  Grandfather led his daughter and granddaughter
to the front room, where the bamboo box still laid.  He had replaced 
the rock into the box before taking Kazuya to the bedroom, but had not 
had a chance to replace it; fortunately, it was undisturbed.
     "This stone, and others like it, have been a part of this family 
for all of our history."  He plucked it out of the box.  "The Power 
which is a part of all of us is stored in this stone, which acts as a 
battery of sorts.  It also harmonizes with one's power, allowing one to
project more Power than otherwise possible.  But be warned, it is 
possible to drain such a stone of all power.  It is crucial only to 
use it sparingly, to give it a chance to recharge.  A larger version 
of this stone is beneath the islands."
     Grandfather passed the stone to his daughter, but it didn't come 
out of his hand.  Glue on the side of the stone firmly adhered it to 
his thumb and forefinger.  He shook his hand, but the stone did not 
budge.  Then, he noticed a small tube, dropped in the alcove from which
the bamboo box was taken: "Glue-All."
     Grandfather gritted his teeth as he pulled the stone from his 
fingers.  The glue had not had a chance to set, so after some tugging, 
it came free.  His fingers were red and raw.  "Ow... now, just where 
did that brat get Superglue?"
     "Kazuya did the same thing to my purse once before going out on a 
date, back when he was seven," Akane recalled.
     "Hasn't he grown up since..." Grandfather started, before suddenly
ducking.  The others noticed Kazuya appear, almost out of thin air, 
flying head first towards Grandfather.  He narrowly missed colliding 
with Grandfather, instead colliding with a tall bookshelf.   Books and 
knickknacks tumbled to the ground.
     "Why you little brat..." Grandfather said angrily, grabbing the 
stone and thrusting it towards Kazuya.  Before he could reach him, 
Kazuya had teleported again.
     Grandfather looked at the glue-covered rock now resting in his 
hand.  He pulled it free again, wincing just a bit.
     The trio stared at the scene in disbelief before Mrs. Kasuga spoke.  
"You know, Kazuya just isn't acting like himself."
     "No kidding, Mother!" Akane replied.
     "No, listen.  The way he's talking, the prank, the attempt to 
body switch, the overall brattiness... he's as bad as he was when he 
was younger."
     "Great, just we need," Akane said, exasperated.  "An annoying, 
evil little brother, with a whole bunch of new powers, without any 
compunction against using these power, and with a car full of normal 
humans due to arrive in an hour."
     "Yes, that could be a problem," Grandfather said, sagely.  He 
winked out, with an audible "Pop" as the air replaced the void left by 
his teleporting.  About a minute later, he reappeared, with a small 
"Whoosh."  "They should be delayed for some time."
     "Say, Grandfather," Akane asked, "why didn't we hear it when 
Kazuya teleported in?"
     "Oh, he probably was invisible," Grandfather said, matter-of-
factly.
     "INVISIBLE?" Akane and her mother said in unison.
     "Yes, it's a variation of the illusion power you both have," 
Grandfather explained patiently.  "Instead of making himself appear to 
be something in your minds, he makes you think he's not present.  You 
really should try it some time."
     "Well, this really isn't the time for that," Sayoko said.  "Just 
what other powers can we expect Kazuya to have?"
     "Oh, the same ones as other members of our family.  Of course, 
telepathy and telekinesis, just more powerful.  Teleportation, 
illusion, possibly others."
     "In other words, you don't know," Akane said.
     "Well, umm... I do know how to stop him.  You need to hold this 
stone, and while you and he are touching it, try to draw the Power 
through the stone.  It will put him unconscious, and maybe you too, 
but this time, I will send my mind in to repair any changes.
     "I don't think this is going to work," Akane whispered to her 
mother.
     "I heard that!" Grandfather shouted.

* * * * *

     Kazuya was creeping around in the trees outside his grandparents' 
cottage when he detected a delectable smell wafting from the cottage's 
kitchen.  Cookies!  It smelled like his favorite sugar cookies from the
bakery down the street.  He approached slowly, and saw Grandmother 
standing on the back porch, holding a tray of steaming sugar cookies.  
His mouth watered.
     "Kazuyaaaa!" Grandmother called.  "Cookies are ready."
     He wanted to greedily grab all of the cookies, but something 
didn't seem right.  He sent his mind into that of Grandmother, trying 
to see her thoughts.  Her shields weren't strong, and he sensed a 
strong emotion of Grandmother *wanting* him to grab a cookie, for some 
selfish reason.
     Kazuya concentrated, and noticed an illusion.  An image of a tray 
of cookies was superimposed over a familiar gray rock.  He had read the
minds of the others, and knew that rock was a trap.  "Nice try, 
Obaachan," Kazuya said, teleporting away.
     Akane and Mrs. Kasuga peered in on the scene from the interior 
door leading into the kitchen.  "I thought for sure he'd go for those 
sugar cookies," Mrs. Kasuga said.  "He really ate a lot of those when 
he was young."
     Akane smiled.  "I know something that would be sure to attract the
attention of a young Kazuya."

* * * * *

     As Kazuya continued to explore the woods, he heard his sister's 
voice carried on the wind.  "Teeee-raaaa!" she called.  Kazuya thought 
of the evil kitten, and wanted to track her down before Akane did.  
Following his sister's voice, Kazuya worked his way around the cottage 
to the front.  From within the trees, he noticed Akane standing on the 
front porch.  She was looking at the small kitten in the yard.  Tera 
was looking at Akane, her tail inviting a swift pull.
     Kazuya quickly jumped out and grabbed for Tera's tail, but she 
jumped out of the way.  Tera dashed for Akane, jumping into her waiting
arms.  Kazuya continued running at full speed.  Tera turned her head 
and hissed at Kazuya.
     As Tera turned, Kazuya noticed the pattern on her fur change.  
Where once the fur around the left front shoulder was gray, now it was 
white.  He thought, and pictured Tera.  Her fur was white, but the 
image now in his mind was of a much larger, much fatter cat.  He 
concentrated, and saw another illusion.  Akane was now carrying that 
cursed stone.  He also saw a distortion, illusion concealing 
Grandfather's presence.
     Kazuya stuck out his tongue at the two.  "You can't catch me!" he 
taunted.
     Grandfather dropped the invisibility before rushing over and 
grabbing the stone from Akane's hands.  "That's it!" he yelled, running
towards Kazuya.  Using the Power, he quickly pushed his speeds to far 
beyond his natural limits.  Kazuya dashed off.
     All of a sudden, Grandfather disappeared.  Kazuya smiled, 
reflecting on the plan he learned by piercing into Grandfather's mind.
Grandfather appeared again, directly in the path of Kazuya's running.  
However, at nearly the same time, Kazuya teleported out..
     "That's it," Grandfather said.  "Illusion is not going to fool him.  
We're going to catch him, my way."  He smiled wickedly.

* * * * *

     The interior of the cottage was silent.  Akane, Sayoko, and 
Grandmother sat at the kitchen table, several broken plates still 
lying where they fell during Kazuya's last dash through the cottage.  
Finally, Akane could not take the tedious waiting.  She walked towards 
the back door, only to hear Grandfather's voice in her mind.  "Don't 
disturb me, or you'll ruin everything!"
     "But what are you doing?" Akane said aloud, even though 
Grandfather could have picked up her thoughts.
     "I'm relying on Kazuya noticing me waiting for him.  Then, his 
doom will be sealed!" he thought back.  There was no wicked laughter 
heard, but it was implied in his tone of voice.
     Akane sat down, but just a moment later, she heard a commotion 
outside.  "KAZUYA, YOU WILL RESPECT YOUR ELDERS!!!" Grandfather shouted
futilely.
     Kazuya had noticed Grandfather's invisibility.  However, once 
Grandfather spotted him, he dropped it anyway.  He rushed towards 
Kazuya again, using the Power to increase his speed, while holding out 
the stone.  Kazuya replied by dashing off, using his Power to run 
quickly.
     As Grandfather ran, he maintained an ironclad mental shield.  That
brat might be showing a mighty command of the Power, but his seventy
plus years of wisdom weren't for nothing!  He felt Kazuya's probes 
bounce off the barrier of will.
     As they ran at remarkable speeds, Kazuya glancing behind him, 
Grandfather smiled.  Kazuya noticed, and teleported away without 
wasting a moment.  Seconds later, Grandfather's momentum carried him 
to the space where Kazuya had been about to place his foot.  A vine 
snare suddenly snapped up, carrying the elder Kasuga man into the air.
     After recovering from the surprise, Grandfather teleported back to
the ground, landing on his back due to the unusual position from which
he had begun his teleport.  He shook his head sadly.
     Akane, Sayoko, and Grandmother ran out to meet Grandfather.  "I
thought for sure he'd fall to my traditional snare!" Grandfather said,
rising from his undignified position.  He concentrated, sending out 
his mind, sensing other users of the Power.  Kazuya had teleported 
some distance away from the cottage.
     "Hmm.  Kazuya will return here, I'm sure," Grandfather mused to 
no one in particular.  He picked up a stick and started scratching in 
the dirt.  The others gathered around, curious.  "We're here," he said,
pointing to a circle on the ground, "and Kazuya is there."  He moved 
the stick across the ground.  "If he keeps true to past behavior, he'll
be walking back."  Grandfather drew the path, putting an "X" midway 
through the line.  "That will put him near the lake.  So this is what 
we need to do...."

* * * * *

     Kazuya strolled back towards the cottage, walking along the 
lakeshore, thinking about whom he was going to "get" next.  This 
morning was such fun!  Okaachan and Oneechan were always out to get 
him, whether with doing schoolwork or not pulling their kitten's tail. 
Now they were trying to hit him with this weird rock, even Obaachan 
and Ojiichan.  They had always seemed so nice in the past, but now 
that they were trying to get him, he was going to get them right back!
It didn't matter that they were old and senile; they were fair game too!
     Off to his right, Kazuya noticed the twin islands.  Grandfather had
lectured him about them some time ago, but it was just another boring 
place to Kazuya.  He looked again, and spied two figures on the left 
island.  They jumped up and waved to him.
     "Kaaaaa-zu-kun!" shouted Mai-chan, waving her arm.
     "Kaaaaa-zu-chan!" called Kyou-chan, jumping and waving both arms 
above her head.  Her pigtails bounced in the air.
     Kazuya barely needed to concentrate to pick up the thoughts of the
two girls.  There was expectation, and happiness at seeing him, and 
thoughts directed at the other: "Kazuya will go into the cave with ME!"
     Kazuya looked around, spying a rowboat.  He pushed the craft into
the water, and nimbly jumped in, the Power helping him keep his 
balance.  He took the oars, and began paddling towards the island.  
"This is taking too long," he thought, and used the Power to gently 
increase the boat's speed.  Looking back to the island, both girls 
looked impressed by his strength.  Kazuya flashed them a big grin.
     The boat pushed onto the mud at the bank of the island.  Kazuya 
jumped up and ran to meet Kyou-chan and Mai-chan.  The two girls 
glared at each other before running to meet him.  Kazuya extended his 
arms as if to give them both a high-five, but instead he gently tugged
both girls' hair.  Something seemed funny, but he was too happy to have
both his "girlfriends" at this special place.
     "Ow-Ouch!" Mai-chan said, her smile belying her words.  "No fair!"
Kyou-chan said, a mock expression of disapproval crossing her face.  
It didn't take long before both girls were giggling.  Kazuya grabbed 
both girls by the wrist and said, "Come on, Kyou-chan, Mai-chan!"  He 
led them towards the cave.
     Darkness quickly swallowed the trio.  Kazuya pulled a pen-sized 
flashlight out of his pocket, and shone the narrow beam into the 
darkness.  The light sparkled off crystals and beads of moisture.  
"Oooooh," Kyou-chan cooed.  Kazuya responded by squeezing her hand.
     "It's so pretty," Mai-chan said.  "Nee, Kazuya, let's go further 
inside."  A thought was nagging at Kazuya's consciousness, but then 
Mai-chan put her arm around his waist.
     Kyou-chan wouldn't let Mai-chan's action go unanswered, so she 
put her arm over Kazuya's shoulders.  The two girls pulled Kazuya 
deeper into the cave.  Kazuya's light played over many unusual rock 
formations, and then hit a magnificent idol with three heads.  
Kyou-chan squealed and clutched Kazuya tightly.  Kazuya returned the 
squeeze.  But the girls persisted in moving, the trio heading out of 
the idol's chamber through a cave passage.
     Finally, the group came across a particularly large metallic rock,
dominating a small chamber off of the passage.  The thin beam of 
Kazuya's penlight struck the base of the metallic rock, and reflected 
beautifully.  Perhaps it was just an optical illusion, but the entire 
rock seemed to glow slightly when the outside light hit it.  
"Beautiful," whispered the two girls.
     Mai-chan and Kyou-chan both pressed in closer to the rock.  
Kazuya, wrapped up between them, was pushed towards the rock.  Kazuya 
loved the attention, but still, something didn't feel right.  He 
glanced around the cavern, but saw nothing.  From a corner, he thought 
he heard a small sound, stone scraping on stone.  He whirled his head 
in that direction, sensing with the Power.  He began to see two forms,
hidden from normal sight.
     Mai-chan and Kyou-chan noticed Kazuya's reaction, and 
simultaneously pushed him towards the large metallic rock.  Kazuya was 
surprised by the strength exhibited by the two girls; he was quickly 
losing his balance.  He dropped his penlight as he instinctively put 
his arms out in front of him.  He began to send his mind out, searching
for that gap in time-space he could slip through in a teleport, but he
was already sprawled against the metallic rock.
     From where he was crouching, Grandfather manifested a bolt of pure
energy, his Power flowing through the rock into Kazuya's body.  A blue
glow surrounded Kazuya, his hair sticking up.  Kazuya rose slightly off
the ground.  A blinding flash lit up the cavern, then departed.  All 
present heard a *thump* from the darkness.
     Grandfather and Grandmother hurried forward to check on the 
fallen Kazuya. Kazuya's sister and mother did the same, after dropping
their illusion.  Sayoko put her head on Kazuya's forehead.  "Is he back
to normal?" she whispered.
     Grandfather concentrated.  "I think he is.  His mind seems 
normal."  He concentrated again.  "He better be, since the others have 
arrived!"

TO BE CONTINUED... in Episode 13.

Fugawari Orange Street Episode 12 Credits      | Episode Date: 5/27/96
-----------------------------------------------+-----------------------
                                  Lead writer: | Greg Dreher
                  New characters and concepts: | Tony Chen
                                               | Greg Dreher
                                               | Daniel Lee
                                               | Paolo Valladolid
                                               | Jeoff Wilks
This series would not exist if it weren't for: | Matsumoto Izumi-sama
-----------------------------------------------+-----------------------